RUN_THEME_D_PROGRAM(1)

NAME
run-theme-d-program - run Theme-D program

SYNOPSIS
run-theme-d-program [ METAARG ] ... PROGRAMFILE [ PROGRAMARG ] ...

DESCRIPTION
Command run-theme-d-program runs Theme-D program PROGRAMFILE linked into Guile bytecode. The METAARG arguments are handled by the run-theme-d-program script itself and the PROGRAMARG arguments are passed to the Theme-D program.

OPTIONS

--no-verbose-errors
    No verbose information about errors (exceptions).

--backtrace
    Display backtrace on runtime error.

--pretty-backtrace
    Display pretty printed backtrace on error. This options works only if you have linked your Theme-D program with option --runtime-pretty-backtrace.

ENVIRONMENT

THEME_D_CONFIG_FILE
    If this variable is defined its value is used as the Theme-D configuration file instead of the default configuration file.

THEME_D_CUSTOM_CODE
    List of Guile bytecode files to be loaded before the Theme-D program is run. The filenames shall be separated with colons.

FILES

/etc/theme-d-config
    The Theme-D configuration file.

~/.theme-d-config
    The Theme-D configuration file. This file should be normally present only if you use Theme-D in local mode.

SEE ALSO
theme-d-compile(1), theme-d-link(1), setup-theme-d-test-env(1), /usr/share/doc/theme-d-doc/theme-d-user-guide.pdf.gz